<?php get_header(); ?>

<div class="homewidget">
<?php if(function_exists('get_breadcrumbs')) : ?>
<?php get_breadcrumbs() ?>
<?php endif; ?>
</div>

<div id="content" >

<?php if (have_posts()) : ?>
<?php while (have_posts()) : the_post(); ?>

<div class="post" id="post-<?php the_ID(); ?>">
<div class="title">
<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title(); ?>"><?php the_title(); ?></a></h2>
</div>
<div class="postmeta">
		<span class="author">פורסם על ידי <?php the_author(); ?> </span>
		<span class="clock"> פורסם ב <?php the_time('M - j - Y'); ?></span>
		<span class="comm"><?php comments_popup_link('0 תגובות', 'תגובה אחת', '% תגובות'); ?></span>
</div>

<div class="entry">
<?php the_content('קרא עוד &raquo;'); ?>

<div class="clear"></div>
<?php wp_link_pages(array('before' => '<p><strong>עמודים: </strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>
</div>


<div class="singleinfo">
<span class="category">קטגוריות: <?php the_category(', '); ?> </span>
</div>

</div>

<?php comments_template(); ?>
<?php endwhile; else: ?>

		<h1 class="title">לא נמצא</h1>
		<p>לא נמצאו תוצאות עבור החיפוש שבצעת.</p>

<?php endif; ?>

</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>