<?php
// REMOVE META BOXES FROM WORDPRESS DASHBOARD FOR ALL USERS

function example_remove_dashboard_widgets() {	// Globalize the metaboxes array, this holds all the widgets for wp-admin	global $wp_meta_boxes;	
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);} add_action('wp_dashboard_setup', 'example_remove_dashboard_widgets' );

function custom_admin_logo() {  
    echo '<style type="text/css">#header-logo { background-image: url('.get_bloginfo('template_directory').'/img/logo-webist-tr.png) !important; }</style>';  
}  
add_action('admin_head', 'custom_admin_logo');


// Admin footer modification

function remove_footer_admin ()
{
	echo "<span id='footer-thankyou'>מופעל בעזרת <a href='http://www.webist.co.il' target='_blank'><img src='http://www.webist.co.il/banners/logos/logo-webist-tr.png' width='80' height='19'></a></span>";
}
add_filter('admin_footer_text', 'remove_footer_admin');




// CUSTOM ADMIN LOGIN HEADER LOGO

function my_custom_login_logo()
{
	echo '<style  type="text/css"> h1 a {  background-image:url('.get_bloginfo('template_directory').'/img/logo.png)  !important; background-size:width:252px; height:77px;} </style>';
}
add_action('login_head',  'my_custom_login_logo');




add_action('wp_dashboard_setup', 'my_custom_dashboard_widgets');
 
function my_custom_dashboard_widgets() {
global $wp_meta_boxes;

wp_add_dashboard_widget('custom_help_widget', 'תמיכה בתבנית', 'custom_dashboard_help');
}

function custom_dashboard_help() {
echo '<p>תודה שבחרת להשתמש בתבנית המתורגמת של ווביסט. כדי לקבל תמיכה ומידע נוסף ניתן לגשת לאתר <a href="http://www.webist.co.il">באמצעות לחיצה על הלינק</a>. יותר מידע ניתן לקבל ב: <a href="http://www.webist.co.il" target="_blank">Webist</a></p>';
}

// add a link to the WP Toolbar
function custom_toolbar_link($wp_admin_bar) {
	$args = array(
		'id' => 'webist',
		'title' => 'תמיכה בתבנית - Webist', 
		'href' => 'http://www.webist.co.il/themes/carmen-wordpress-theme/', 
		'meta' => array(
			'class' => 'webist', 
			'title' => 'webist'
			)
	);
	$wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'custom_toolbar_link', 999);



// disable default dashboard widgets
function remove_dashboard_widgets() {

	global $wp_meta_boxes;

	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);

	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
}
add_action('wp_dashboard_setup', 'remove_dashboard_widgets');



add_action('wp_dashboard_setup', 'my_dashboard_widgets');
function my_dashboard_widgets() {
     global $wp_meta_boxes;
     // remove unnecessary widgets
     // var_dump( $wp_meta_boxes['dashboard'] ); // use to get all the widget IDs
     unset(
          $wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins'],
          $wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary'],
          $wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']
     );
     // add a custom dashboard widget
     wp_add_dashboard_widget( 'dashboard_custom_feed', 'מה חדש ב-Webist?', 'dashboard_custom_feed_output' ); //add new RSS feed output
}
function dashboard_custom_feed_output() {
     echo '
<div class="rss-widget">';
     wp_widget_rss_output(array(
          'url' => 'http://www.webist.co.il/feed',  //put your feed URL here
          'title' => 'מה חדש ב-Webist',
          'items' => 6, //how many posts to show
          'show_summary' => 1,
          'show_author' => 0,
          'show_date' => 0
     ));
     echo "</div>
";
}
?>